Index: /trunk/MagicSoft/Mars/Changelog
===================================================================
--- /trunk/MagicSoft/Mars/Changelog	(revision 8626)
+++ /trunk/MagicSoft/Mars/Changelog	(revision 8627)
@@ -33,8 +33,8 @@
        builddatasets.php to menu.php (function InitFindOffData), so that
        the values are also available in sequinfo-aio.php
-   
+
    * scripts/dospectrum:
      - completely new version using condor dag
-   
+
    * scripts/preparemc:
      - new version
@@ -74,4 +74,7 @@
      - changed the condition of the pixel index into a condition
        of the pixel size
+
+   * scripts/merppupdate:
+     - the second argument was silently ignored
 
 
Index: /trunk/MagicSoft/Mars/scripts/merppupdate
===================================================================
--- /trunk/MagicSoft/Mars/scripts/merppupdate	(revision 8626)
+++ /trunk/MagicSoft/Mars/scripts/merppupdate	(revision 8627)
@@ -47,10 +47,13 @@
    if ! [ "$2" = "" ]
    then
-      name2=" -name $2"
-      if ! [ "$3" = "" ]
-      then
-         echo "You gave too many arguments."
-         exit
-      fi
+      name2=$1
+   else
+      name2="20*_Y_*_E.root" 
+   fi
+   
+   if ! [ "$3" = "" ]
+   then
+      echo "You gave too many arguments."
+      exit
    fi
 fi
@@ -68,6 +71,11 @@
 fi
    
+echo $1
+echo $2
+   
+echo $outpath
+echo $name2
 
-calfiles=`find $outpath -name 20*_Y_*_E.root $name2 `
+calfiles=`find $outpath -name $name2 `
 
 echo "calfiles: "$calfiles
